For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • DELDelete Model Sync
      • PATCHUpdate Sync
      • POSTActivate Sync
      • POSTStart Sync
      • GETGet Sync Status
Logo
Log inBook a demo
API ReferenceModel Sync

List Syncs

GET
https://app.polytomic.com/api/syncs
GET
/api/syncs
$curl https://app.polytomic.com/api/syncs \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "active": true,
5 "created_at": "2024-01-15T09:30:00Z",
6 "created_by": {
7 "id": "12345678-1234-1234-1234-123456789012",
8 "name": "John Doe",
9 "type": "user"
10 },
11 "encryption_passphrase": "string",
12 "fields": [
13 {
14 "target": "name",
15 "encryption_enabled": true,
16 "new": false,
17 "override_value": "fixed_value",
18 "source": {
19 "field": "id",
20 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
21 },
22 "sync_mode": "create"
23 }
24 ],
25 "filter_logic": "string",
26 "filters": [
27 {
28 "function": "Equality",
29 "field": {
30 "field": "id",
31 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
32 },
33 "field_id": "field1",
34 "field_type": "Model",
35 "label": "A",
36 "value": null
37 }
38 ],
39 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
40 "identity": {
41 "function": "Equality",
42 "source": {
43 "field": "id",
44 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
45 },
46 "target": "name",
47 "new_field": true,
48 "remote_field_type_id": "string"
49 },
50 "mode": "create",
51 "model_ids": [
52 "string"
53 ],
54 "name": "Users Sync",
55 "only_enrich_updates": false,
56 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
57 "override_fields": [
58 {
59 "target": "name",
60 "encryption_enabled": true,
61 "new": false,
62 "override_value": "fixed_value",
63 "source": {
64 "field": "id",
65 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
66 },
67 "sync_mode": "create"
68 }
69 ],
70 "overrides": [
71 {
72 "field": {
73 "field": "id",
74 "model_id": "248df4b7-aa70-47b8-a036-33ac447e668d"
75 },
76 "field_id": "field1",
77 "function": "Equality",
78 "override": null,
79 "value": null
80 }
81 ],
82 "policies": [
83 "248df4b7-aa70-47b8-a036-33ac447e668d"
84 ],
85 "schedule": {
86 "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
87 "day_of_month": "1",
88 "day_of_week": "monday",
89 "frequency": "manual",
90 "hour": "12",
91 "job_id": 1,
92 "minute": "30",
93 "month": "1",
94 "run_after": {
95 "bulk_sync_ids": [
96 "248df4b7-aa70-47b8-a036-33ac447e668d"
97 ],
98 "sync_ids": [
99 "248df4b7-aa70-47b8-a036-33ac447e668d"
100 ]
101 },
102 "run_after_success_only": true
103 },
104 "skip_initial_backfill": false,
105 "sync_all_records": false,
106 "target": {
107 "connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
108 "configuration": {
109 "key": "value"
110 },
111 "create": {
112 "name": "value"
113 },
114 "filter_logic": "string",
115 "object": "Users",
116 "new_name": "string",
117 "search_values": {
118 "name": "value"
119 }
120 },
121 "updated_at": "2024-01-15T09:30:00Z",
122 "updated_by": {
123 "id": "12345678-1234-1234-1234-123456789012",
124 "name": "John Doe",
125 "type": "user"
126 }
127 }
128 ]
129}
Lists all model syncs in the caller's organization. Results are ordered by `updated_at` descending, with `id` used as a tiebreaker. If more results are available, the response includes `pagination.next_page_token`. Pass that token back unchanged to continue from the last item you received. The token is opaque. Do not construct or edit it yourself. The `limit` is capped at 50. Values above that cap are reduced to 50, and non-positive values fall back to the same default. This endpoint returns syncs visible to the current caller's organization scope. To inspect a specific sync in more detail, follow up with [`GET /api/syncs/{id}`](../../api-reference/model-sync/get).
Was this page helpful?
Previous

Create Sync

Next

Lists all model syncs in the caller’s organization.

Results are ordered by updated_at descending, with id used as a tiebreaker. If more results are available, the response includes pagination.next_page_token. Pass that token back unchanged to continue from the last item you received.

The token is opaque. Do not construct or edit it yourself.

The limit is capped at 50. Values above that cap are reduced to 50, and non-positive values fall back to the same default.

This endpoint returns syncs visible to the current caller’s organization scope. To inspect a specific sync in more detail, follow up with GET /api/syncs/{id}.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Headers

X-Polytomic-VersionstringRequired

Query parameters

activebooleanOptional
modeenumOptional
target_connection_idstringOptionalformat: "uuid"

Response

OK
datalist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error